BreakpointTypeExtension
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface BreakpointTypeExtension

    public interface BreakpointTypeExtension

An extension to supported breakpoint target types. The extension is put separate because `JavascriptVm` may or may not support it (depends on back-end and remote VM). Each additional breakpoint target type has a dedicated XXXSupport interface and the corresponding getter. Getter returns null if the type is unsupported by the current `JavascriptVm`. The support interface provides target constructor method and additional visitor subinterface that `Breakpoint.Target.accept(org.chromium.sdk.Breakpoint.Target.Visitor)` will recognize.

The instance may be obtained by `JavascriptVm.getBreakpointTypeExtension()`.

This API is designed to keep user code fully compilable when new extension is added. This API doesn't allow to add user target types.

Nested Class Summary
`static interface` | `BreakpointTypeExtension.FunctionSupport` Supports targets that refer to function text in form of function-returning JavaScript expression.
`static interface` | `BreakpointTypeExtension.ScriptRegExpSupport` Supports targets that refer to a script by a 'regexp' of its name.

Method Summary
`BreakpointTypeExtension.FunctionSupport` | `getFunctionSupport()`
`BreakpointTypeExtension.ScriptRegExpSupport` | `getScriptRegExpSupport()`

Method Detail

### getFunctionSupport

    BreakpointTypeExtension.FunctionSupport getFunctionSupport()

  Returns:
    null if 'function' target type is unsupported.

### getScriptRegExpSupport

    BreakpointTypeExtension.ScriptRegExpSupport getScriptRegExpSupport()

  Returns:
    null if 'regexp' target type is unsupported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD